Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicCalendarHeaderHandler.ZoomOutAction

    java.lang.Object
      javax.swing.AbstractAction
          org.jdesktop.swingx.action.AbstractActionExt
              org.jdesktop.swingx.hyperlink.AbstractHyperlinkAction<JXMonthView>
                  org.jdesktop.swingx.plaf.basic.BasicCalendarHeaderHandler.ZoomOutAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Enclosing class:
  BasicCalendarHeaderHandler

    protected static class BasicCalendarHeaderHandler.ZoomOutAction

extends AbstractHyperlinkAction<JXMonthView>

Quick fix for Issue #1046-swingx: header text not updated if zoomable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jdesktop.swingx.hyperlink.AbstractHyperlinkAction
`target, VISITED_KEY`

Fields inherited from class org.jdesktop.swingx.action.AbstractActionExt
`GROUP, IS_STATE, LARGE_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicCalendarHeaderHandler.ZoomOutAction()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected void` | `installTarget()` installs a propertyChangeListener on the target and updates the visual properties from the target.
`protected void` | `uninstallTarget()` removes the propertyChangeListener.
`protected void` | `updateFromTarget()`

Methods inherited from class org.jdesktop.swingx.hyperlink.AbstractHyperlinkAction
`getTarget, isVisited, itemStateChanged, setStateAction, setTarget, setVisited`

Methods inherited from class org.jdesktop.swingx.action.AbstractActionExt
`dispose, getAccelerator, getActionCommand, getGroup, getLargeIcon, getLongDescription, getMnemonic, getName, getShortDescription, getSmallIcon, isSelected, isStateAction, setAccelerator, setActionCommand, setGroup, setLargeIcon, setLongDescription, setMnemonic, setMnemonic, setName, setSelected, setShortDescription, setSmallIcon, setStateAction, toString`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCalendarHeaderHandler.ZoomOutAction

    public BasicCalendarHeaderHandler.ZoomOutAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

### installTarget

    protected void installTarget()

  installs a propertyChangeListener on the target and updates the visual properties from the target.

  Overrides:
    `installTarget` in class `AbstractHyperlinkAction<JXMonthView>`

### uninstallTarget

    protected void uninstallTarget()

  removes the propertyChangeListener.

  Implementation NOTE: this does not clean-up internal state! There is no need to because updateFromTarget handles both null and not-null targets. Hmm...

  Overrides:
    `uninstallTarget` in class `AbstractHyperlinkAction<JXMonthView>`

### updateFromTarget

    protected void updateFromTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.